=== debian/changelog ===
hoel (1.4.18-1) unstable; urgency=medium

  * New upstream release
  * d/control: upgrade standards version to 4.6.0
  * d/copyright: remove superfluous file

 -- Nicolas Mora <babelouest@debian.org>  Wed, 15 Sep 2021 07:28:05 -0400
