## hoel 1.4.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,9 +28,9 @@
 set(PROJECT_BUGREPORT_PATH "https://github.com/babelouest/hoel/issues")
 set(LIBRARY_VERSION_MAJOR "1")
 set(LIBRARY_VERSION_MINOR "4")
-set(LIBRARY_VERSION_PATCH "18")
-set(ORCANIA_VERSION_REQUIRED "2.2.1")
-set(YDER_VERSION_REQUIRED "1.4.14")
+set(LIBRARY_VERSION_PATCH "22")
+set(ORCANIA_VERSION_REQUIRED "2.2.2")
+set(YDER_VERSION_REQUIRED "1.4.15")
 set(JANSSON_VERSION_REQUIRED "2.4")
 
 set(PROJECT_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
@@ -310,7 +310,7 @@
             set(LIBS ${LIBS} ${SUBUNIT_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} m rt)
         endif ()
 
-        set(TESTS core)
+        set(TESTS core multi)
 
         configure_file(
                 "${CMAKE_MODULE_PATH}/CTestCustom.cmake.in"
