=== src/Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 OUTPUT=libhoel.so
 VERSION_MAJOR=1
 VERSION_MINOR=4
-VERSION_PATCH=18
+VERSION_PATCH=22
 
 all: release
 
@@ -121,7 +121,7 @@
 	rm -f *.o *.so *.a $(OUTPUT) $(OUTPUT).* $(CONFIG_FILE) $(PKGCONFIG_FILE)
 
 install: all $(PKGCONFIG_FILE)
-	cp $(OUTPUT).$(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH) $(DESTDIR)/lib
+	install $(OUTPUT).$(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH) $(DESTDIR)/lib
 	mkdir -p $(DESTDIR)/lib/pkgconfig/ $(DESTDIR)/include
 	install -m644 $(PKGCONFIG_FILE) $(DESTDIR)/lib/pkgconfig/
 	install -m644 $(HOEL_INCLUDE)/hoel.h $(DESTDIR)/include
