=== debian/changelog ===
hoel (1.4.22-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Sat, 23 Apr 2022 12:35:50 -0400

hoel (1.4.21-1) unstable; urgency=medium

  * New upstream release (Closes: #1009769)
  * d/libhoel1.4.symbols: fix new symbols version
  * d/rules run test in mono-thread with -j1 to avoid db file lock

 -- Nicolas Mora <babelouest@debian.org>  Sat, 23 Apr 2022 08:28:58 -0400

hoel (1.4.20-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: update years
  * d/libhoel1.4.symbols: update symbols with h_execute_query_sqlite

 -- Nicolas Mora <babelouest@debian.org>  Tue, 12 Apr 2022 07:22:26 -0400
