## hoel 1.4.23

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 set(PROJECT_BUGREPORT_PATH "https://github.com/babelouest/hoel/issues")
 set(LIBRARY_VERSION_MAJOR "1")
 set(LIBRARY_VERSION_MINOR "4")
-set(LIBRARY_VERSION_PATCH "22")
+set(LIBRARY_VERSION_PATCH "23")
 set(ORCANIA_VERSION_REQUIRED "2.2.2")
 set(YDER_VERSION_REQUIRED "1.4.15")
 set(JANSSON_VERSION_REQUIRED "2.4")
