=== src/Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 OUTPUT=libhoel.so
 VERSION_MAJOR=1
 VERSION_MINOR=4
-VERSION_PATCH=22
+VERSION_PATCH=23
 
 all: release
