=== debian/changelog ===
hoel (1.4.23-1build1) kinetic; urgency=medium

  * No-change rebuild against liborcania2.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Jun 2022 20:51:07 +0000

hoel (1.4.23-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Fri, 29 Apr 2022 22:28:31 -0400
