=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: hoel
 Section: devel
 Priority: optional
-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
           , Nicolas Mora <babelouest@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , autopkgtest (>= 5.6~)
-             , liborcania-dev
+             , liborcania-dev (>= 2.2.2)
              , libyder-dev
              , libjansson-dev
              , libsqlite3-dev
@@ -41,7 +42,7 @@
 Depends: libhoel1.4 (= ${binary:Version})
        , ${misc:Depends}
        , libjansson-dev
-       , liborcania-dev
+       , liborcania-dev (>= 2.2.2)
        , libyder-dev
        , libsqlite3-dev
        , libpq-dev
