=== debian/changelog ===
hoel (1.4.25-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Mon, 30 May 2022 09:30:13 -0400
