=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hoel
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
           , Nicolas Mora <babelouest@debian.org>
 Build-Depends: debhelper-compat (= 13)
