=== debian/changelog ===
hoel (1.4.26-1) unstable; urgency=medium

  * New upstream release
  * d/control: upgrade standards version to 4.6.1

 -- Nicolas Mora <babelouest@debian.org>  Sat, 15 Oct 2022 17:23:24 -0400
