## hoel 1.4.27

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,9 +28,9 @@
 set(PROJECT_BUGREPORT_PATH "https://github.com/babelouest/hoel/issues")
 set(LIBRARY_VERSION_MAJOR "1")
 set(LIBRARY_VERSION_MINOR "4")
-set(LIBRARY_VERSION_PATCH "26")
-set(ORCANIA_VERSION_REQUIRED "2.3.1")
-set(YDER_VERSION_REQUIRED "1.4.18")
+set(LIBRARY_VERSION_PATCH "27")
+set(ORCANIA_VERSION_REQUIRED "2.3.2")
+set(YDER_VERSION_REQUIRED "1.4.19")
 set(JANSSON_VERSION_REQUIRED "2.4")
 
 set(PROJECT_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
