=== debian/changelog ===
hoel (1.4.27-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update Standards-Version to 4.6.2
  * d/copyright: Update copyright year to 2023 for debian/* files
  * d/symbols: Add new symbol

 -- Nicolas Mora <babelouest@debian.org>  Mon, 09 Jan 2023 08:18:08 -0500
