=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
              , check
              , sqlite3
              , doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/babelouest/hoel
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/hoel.git
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/hoel.git
