=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(ARGS) \
	                    -DWITH_SQLITE3=ON \
	                    -DWITH_MARIADB=ON \
	                    -DWITH_PGSQL=ON \
	                    -DBUILD_HOEL_TESTING=ON \
	                    -DINSTALL_HEADER=ON \
	                    -DDOWNLOAD_DEPENDENCIES=OFF \
	                    --no-warn-unused-cli

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	sqlite3 /tmp/test.db < test/test.sqlite3.sql
	cd build && $(MAKE) test -j1
endif

override_dh_auto_build:
	doxygen doc/doxygen.cfg
	dh_auto_build --
